Saltar al contenido

HTTP error 426 Upgrade Required

El servidor se niega a realizar la solicitud utilizando el protocolo actual, pero podría estar dispuesto a hacerlo después de que el cliente se actualice a un protocolo diferente.

El servidor DEBE enviar un campo de cabecera Upgrade en una respuesta 426 para indicar el o los protocolos requeridos

Ejemplo:

HTTP/1.1 426 Upgrade Required
Upgrade: HTTP/3.0
Connection: Upgrade
Content-Length: 53
Content-Type: text/plain

Este servicio requiere del uso del protocolo HTTP/3.0.

Referencias de programación del Código de Error 426

  • Symfony HTTP Status Constant Response::HTTP_UPGRADE_REQUIRED
  • Rails HTTP Status Symbol :upgrade_required
  • .NET HTTP Status Constant System.Net.HttpStatusCode.UpgradeRequired
  • C# HTTP Status Enum HttpStatusCode.UpgradeRequired
  • Rust HTTP Status Constant http::StatusCode::UPGRADE_REQUIRED

Resumen
Error HTTP 426 Upgrade Required
Nombre del artículo
Error HTTP 426 Upgrade Required
Descripción
El servidor se niega a realizar la solicitud utilizando el protocolo actual, pero podría estar dispuesto a hacerlo después de que el cliente se actualice a un protocolo diferente.
Autor
Publisher Name
Códigos HTTP
Publisher Logo